postgresql-plpython-10_10.6-0ubuntu0.18.10.1_i386.deb


Advertisement

Description

postgresql-plpython-10 - PL/Python procedural language for PostgreSQL 10

Property Value
Distribution Ubuntu 18.10 (Cosmic Cuttlefish)
Repository Ubuntu Updates Universe i386
Package name postgresql-plpython-10
Package version 10.6
Package release 0ubuntu0.18.10.1
Package architecture i386
Package type deb
Installed size 204 B
Download size 54.70 KB
Official Mirror archive.ubuntu.com
PL/Python enables an SQL developer to write procedural language functions
for PostgreSQL 10 in Python.  You need this package if you have any
PostgreSQL 10 functions that use the languages plpython or plpythonu.
PostgreSQL is an object-relational SQL database management system.

Alternatives

Package Version Architecture Repository
postgresql-plpython-10_10.6-0ubuntu0.18.10.1_amd64.deb 10.6 amd64 Ubuntu Updates Universe
postgresql-plpython-10_10.5-1_i386.deb 10.5 i386 Ubuntu Universe
postgresql-plpython-10_10.5-1_amd64.deb 10.5 amd64 Ubuntu Universe
postgresql-plpython-10 - - -

Requires

Name Value
libc6 >= 2.4
libpython2.7 >= 2.7
postgresql-10 = 10.6-0ubuntu0.18.10.1

Provides

Name Value
postgresql-plpython -

Download

Type URL
Binary Package postgresql-plpython-10_10.6-0ubuntu0.18.10.1_i386.deb
Source Package postgresql-10

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install postgresql-plpython-10 deb package:
    # sudo apt-get install postgresql-plpython-10

Files

Path
/usr/lib/postgresql/10/lib/hstore_plpython2.so
/usr/lib/postgresql/10/lib/ltree_plpython2.so
/usr/lib/postgresql/10/lib/plpython2.so
/usr/share/doc/postgresql-plpython-10/changelog.Debian.gz
/usr/share/doc/postgresql-plpython-10/copyright
/usr/share/postgresql/10/extension/hstore_plpython2u--1.0.sql
/usr/share/postgresql/10/extension/hstore_plpython2u.control
/usr/share/postgresql/10/extension/hstore_plpythonu--1.0.sql
/usr/share/postgresql/10/extension/hstore_plpythonu.control
/usr/share/postgresql/10/extension/ltree_plpython2u--1.0.sql
/usr/share/postgresql/10/extension/ltree_plpython2u.control
/usr/share/postgresql/10/extension/ltree_plpythonu--1.0.sql
/usr/share/postgresql/10/extension/ltree_plpythonu.control
/usr/share/postgresql/10/extension/plpython2u--1.0.sql
/usr/share/postgresql/10/extension/plpython2u--unpackaged--1.0.sql
/usr/share/postgresql/10/extension/plpython2u.control
/usr/share/postgresql/10/extension/plpythonu--1.0.sql
/usr/share/postgresql/10/extension/plpythonu--unpackaged--1.0.sql
/usr/share/postgresql/10/extension/plpythonu.control

Changelog

2018-11-13 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
postgresql-10 (10.6-0ubuntu0.18.10.1) cosmic-security; urgency=medium
* SECURITY UPDATE: Updated to 10.6 to fix security issue.
- Details about the new release can be found at
https://www.postgresql.org/docs/10/release-10-6.html
- CVE-2018-16850
2018-08-07 - Christoph Berg <christoph.berg@credativ.de>
postgresql-10 (10.5-1) unstable; urgency=medium
* New upstream version.
+ Fix failure to reset libpq's state fully between connection attempts
An unprivileged user of dblink or postgres_fdw could bypass the checks
intended to prevent use of server-side credentials, such as a ~/.pgpass
file owned by the operating-system user running the server.  Servers
allowing peer authentication on local connections are particularly
vulnerable.  Other attacks such as SQL injection into a postgres_fdw
session are also possible. Attacking postgres_fdw in this way requires
the ability to create a foreign server object with selected connection
parameters, but any user with access to dblink could exploit the
problem. In general, an attacker with the ability to select the
connection parameters for a libpq-using application could cause
mischief, though other plausible attack scenarios are harder to think
of. Our thanks to Andrew Krasichkov for reporting this issue.
(CVE-2018-10915)
+ Fix INSERT ... ON CONFLICT UPDATE through a view that isn't just SELECT
FROM ...
Erroneous expansion of an updatable view could lead to crashes or
attribute ... has the wrong type errors, if the view's SELECT list
doesn't match one-to-one with the underlying table's columns.
Furthermore, this bug could be leveraged to allow updates of columns
that an attacking user lacks UPDATE privilege for, if that user has
INSERT and UPDATE privileges for some other column(s) of the table. Any
user could also use it for disclosure of server memory. (CVE-2018-10925)
* Remove version checking for libselinux1-dev, 2.1.10 is old enough now.
* Drop support for tcl8.5.
* Use dh_auto_configure to correctly seed the build architecture.
* Filter -fdebug-prefix-map and -ffile-prefix-map in more places, and make
PGXS modules build reproducibly.
* Add new pgtypes header and symbol.
2018-05-12 - Christoph Berg <myon@debian.org>
postgresql-10 (10.4-2) unstable; urgency=medium
* Update libpq_pgport in Makefile.global to find libpgcommon/libpgport in
pkglibdir.
2018-05-08 - Christoph Berg <christoph.berg@credativ.de>
postgresql-10 (10.4-1) unstable; urgency=medium
* New upstream version.
+ Remove public execute privilege from contrib/adminpack's
pg_logfile_rotate() function. (CVE-2018-1115)
+ Fix incorrect volatility and parallel-safety markings on a few built-in
functions.
* Move libpgport.a, libpgcommon.a, and libpgfeutils.a from libdir to
pkglibdir.
* Revert "B-D on python3-distutils | python3-dev (<< 3.6.4~rc1-2)".
2018-03-21 - Christoph Berg <christoph.berg@credativ.de>
postgresql-10 (10.3-2) unstable; urgency=medium
* Improve wording of NEWS entry on search_path changes. Thanks Chris Lamb!
(Closes: #891898)
* Disable spinlocks on riscv64, thanks Aurelien Jarno! (Closes: #892807)
* B-D on python3-distutils | python3-dev (<< 3.6.4~rc1-2).

See Also

Package Description
postgresql-server-dev-10_10.6-0ubuntu0.18.10.1_i386.deb development files for PostgreSQL 10 server-side programming
python-apport_2.20.10-0ubuntu13.1_all.deb Python library for Apport crash report handling
python-moinmoin_1.9.9-1ubuntu1.18.10.1_all.deb Python clone of WikiWiki - library
python-netsnmp_5.7.3+dfsg-1.8ubuntu3.18.10.1_i386.deb SNMP (Simple Network Management Protocol) Python support
python-opencv_3.2.0+dfsg-4.1ubuntu0.1_i386.deb Python bindings for the computer vision library
python-problem-report_2.20.10-0ubuntu13.1_all.deb Python library to handle problem reports
python-pysimplesoap_1.16-2ubuntu0.1_all.deb simple and lightweight SOAP Library (Python 2)
python3-aodh_7.0.0-0ubuntu4_all.deb OpenStack Telemetry (Ceilometer) Alarming - Python 3 libraries
python3-barbican_7.0.0-0ubuntu3_all.deb OpenStack Key Management Service - Python 3 files
python3-cinder_13.0.0-0ubuntu4_all.deb Cinder Python 3 libraries
python3-glance_17.0.0-0ubuntu4.1_all.deb OpenStack Image Registry and Delivery Service - Python 3 library
python3-memcache_1.57-2ubuntu0.18.10.1_all.deb pure Python memcached client - Python 3.x
python3-octavia_3.0.0-0ubuntu3_all.deb OpenStack Load Balancer as a Service - Python libraries
python3-opencv_3.2.0+dfsg-4.1ubuntu0.1_i386.deb Python 3 bindings for the computer vision library
python3-partd_0.3.8-1ubuntu1_all.deb Appendable key-value storage for Python 3
Advertisement
Advertisement